Authentication
List API tokens
Lists all API tokens for the current user. The returned tokens only contain a hashed version of the access token and are not usable as-is.
AuthorizationBearer <token>
Token-based authentication using access tokens.
In: header
Query Parameters
page?Page
Page number.
Default
1per_page?Per Page
Items per page.
Default
20Range
1 <= value <= 100order?Order
Sort order.
Default
"desc"Value in
"asc" | "desc"include_expired?Include Expired
Whether to include expired tokens.
Default
falseResponse Body
Examples
curl -X GET "https://v2.api.piktid.com/auth/token?page=1&per_page=20&order=asc&include_expired=false"{
"pagination": {
"page": 0,
"per_page": 0,
"total": 0,
"pages": 0,
"has_next": true,
"has_prev": true
},
"tokens": [
{
"token_id": "string",
"expiration_date": "string"
}
]
}{
"error": "Invalid request",
"detail": [
{
"field": null,
"message": "string",
"position": "query"
}
]
}Empty